
%global meadversion 4.2.0
%global namedversion 4.2.0.redhat-4
%global meadalpha .10.redhat_4
%global meadrel %{nil}
%global serial 11

%bcond_without mead

%bcond_with javadoc

%global eap -eap6

%define maven_version 4.2.0-10.redhat_4.ep6.el6

Name:           org.osgi-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        OSGi core, compendium, and enterprise
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source102: org.osgi.enterprise-4.2.0.redhat-4.pom
Source103: org.osgi.enterprise-4.2.0.redhat-4.jar
Source104: org.osgi.enterprise-4.2.0.redhat-4-sources.jar
Source105: org.osgi.core-4.2.0.redhat-4.pom
Source106: org.osgi.core-4.2.0.redhat-4.jar
Source107: org.osgi.core-4.2.0.redhat-4-sources.jar
Source108: org.osgi.compendium-4.2.0.redhat-4.pom
Source109: org.osgi.compendium-4.2.0.redhat-4.jar
Source110: org.osgi.compendium-4.2.0.redhat-4-sources.jar
%endif

URL:            http://www.osgi.org
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/org.osgi-eap6-%{namedversion}-%{release}-root

%description
OSGi core, compendium, and enterprise.

%package -n org.osgi.core%{?eap}
Summary:        OSGi core
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n org.osgi.core%{?eap}
OSGi core.

%package -n org.osgi.compendium%{?eap}
Summary:        OSGi compendium
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n org.osgi.compendium%{?eap}
OSGi compendium.

%package -n org.osgi.enterprise%{?eap}
Summary:        OSGi enterprise
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  jpackage-utils

%description -n org.osgi.enterprise%{?eap}
OSGi enterprise.

%if %with javadoc
%package -n org.osgi-javadoc%{?eap}
Summary:        Javadoc for org.osgi
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n org.osgi-javadoc%{?eap}
%{summary}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/org.osgi.core-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/org.osgi.core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.osgi.core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/org.osgi.core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.osgi.compendium-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/org.osgi.compendium-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.osgi.compendium-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/org.osgi.compendium-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.osgi.enterprise-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/org.osgi.enterprise-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.osgi.enterprise-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/org.osgi.enterprise-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} ${jar/-%{namedversion}/}; done)

%files -n org.osgi.core%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.osgi.core-%{namedversion}.jar
%{_javadir}/%{name}/org.osgi.core.jar
%{_javadir}/%{name}/org.osgi.core-%{namedversion}-sources.jar
%{_javadir}/%{name}/org.osgi.core-sources.jar

%files -n org.osgi.compendium%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.osgi.compendium-%{namedversion}.jar
%{_javadir}/%{name}/org.osgi.compendium.jar
%{_javadir}/%{name}/org.osgi.compendium-%{namedversion}-sources.jar
%{_javadir}/%{name}/org.osgi.compendium-sources.jar

%files -n org.osgi.enterprise%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.osgi.enterprise-%{namedversion}.jar
%{_javadir}/%{name}/org.osgi.enterprise.jar
%{_javadir}/%{name}/org.osgi.enterprise-%{namedversion}-sources.jar
%{_javadir}/%{name}/org.osgi.enterprise-sources.jar

%changelog
* Tue Sep 17 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-10
- release
